com.impinj.octane

## Class GpiConfigGroup

- java.lang.Object
- - com.impinj.octane.GpiConfigGroup

- All Implemented Interfaces:
    java.lang.Iterable<GpiConfig>

      public class GpiConfigGroup
      extends java.lang.Object
      implements java.lang.Iterable<GpiConfig>

  Hold the configuration for a collection of General Purpose Inputs
  See Also:
    `Settings.getGpis()`, `FeatureSet.getGpiCount()`

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.Object config)`
    `void` | `disableAll()` Disable all GPIs in the collection.
    `void` | `enableAll()` Enable all GPIs in the collection.
    `GpiConfig` | `get(int i)`
    `protected GpiConfig` | `getGpi(short portNumber)` Returns the settings for the specified GPI port.
    `java.util.Iterator<GpiConfig>` | `iterator()`
    `void` | `set(int i, GpiConfig newValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### get

          public GpiConfig get(int i)

      Parameters:
        `i` - the 0-based index of the GPI in the list
      Returns:
        The GpiConfig for the specified index. NOT THE SAME AS GPI Port Number, which is 1-based

    - #### set

          public void set(int i,
                          GpiConfig newValue)

      Parameters:
        `i` - the GPI to set
        `newValue` - the config value for the GPI

    - #### add

          public void add(java.lang.Object config)
                   throws OctaneSdkException

      Parameters:
        `config` - adds the object to the GPI config group
      Throws:
        `OctaneSdkException` - if this object was not created by the serializer

    - #### enableAll

          public void enableAll()

      Enable all GPIs in the collection.

    - #### disableAll

          public void disableAll()

      Disable all GPIs in the collection.

    - #### getGpi

          protected GpiConfig getGpi(short portNumber)
                              throws OctaneSdkException

      Returns the settings for the specified GPI port.
      Parameters:
        `portNumber` - the GPI port to query
      Returns:
        The GpiConfig for the specified port number
      Throws:
        `OctaneSdkException` - The GPI settings or throws an exception if the port does not // exist

    - #### iterator

          public java.util.Iterator<GpiConfig> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<GpiConfig>`
      Returns:
        an iterator for the gpi config group